## org.eclipse.jst.pagedesigner.dtmanager
Class DefaultDTInfoFactory

    java.lang.Object
      org.eclipse.jst.pagedesigner.dtmanager.DefaultDTInfoFactory

All Implemented Interfaces:
  IDTInfoFactory

    public class DefaultDTInfoFactory

extends java.lang.Object
implements IDTInfoFactory

Default IDTInfoFactory implementation.

Provisional API - subject to change

Field Summary
`static java.lang.String` `DTINFO_TRAIT_KEY` Key (in metadata) of IDTInfo trait.

Constructor Summary
`DefaultDTInfoFactory()`

Method Summary
`IDTInfo` `getDTInfo(org.w3c.dom.Element element)` Gets an IDTInfo instance for the specified Element.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DTINFO_TRAIT_KEY

    public static final java.lang.String DTINFO_TRAIT_KEY

  Key (in metadata) of IDTInfo trait.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultDTInfoFactory

    public DefaultDTInfoFactory()

Method Detail

### getDTInfo

    public IDTInfo getDTInfo(org.w3c.dom.Element element)

  Description copied from interface: `IDTInfoFactory`
  Gets an IDTInfo instance for the specified Element.

  Specified by:
    `getDTInfo` in interface `IDTInfoFactory`
  Parameters:
    `element` - Element instance for which to locate and return IDTInfo instance.
  Returns:
    An IDTInfo instance for the specified Element.